# Contributing to Shower

You're always welcome to contibute! There are five repositories in Shower project:

- [Shower](https://github.com/shower/shower) engine with Ribbon theme
- [Template](https://github.com/shower/template) for Shower engine and built-in themes
- [Ribbon](https://github.com/shower/ribbon) theme for Shower
- [Bright](https://github.com/shower/bright) theme for Shower
- [Jekyller](https://github.com/shower/jekyller) generator for Shower

The most important part of the project is the [Shower](https://github.com/shower/shower) repository, containing [shower.js](https://github.com/shower/shower/blob/master/shower.js) file.

## Issues

Before contributing to Shower, please read through [Issues](https://github.com/shower/shower/issues?state=open) to see open bugs and feature requests. If you have any feature to add to Shower, please make sure that you file an issue with your ideas first. If you've found a bug and want to fix it, please file an issue first. It might be a feature!


## Process

To contribute to Shower, fork needed repository and start making changes. Don't forget to add upstream link to original repository and keep your fork updated. When you finish, send pull request back to original repository and supply clear description or link to existing issue.

## Code style

Please keep existing code style while contributing to Shower and be ready for code review by Shower authors and contributors. It's strongly recommended to validate your JavaScript changes using [JSHint](http://jshint.com/).

By historical reasons, Shower project is using tabs instead of spaces for code indentation. It's not a big deal to keep this rule while contributing using you code editor options, even if your code style is 13.4 spaces.

## Language

English is the main language for Shower project. All discussions and commit messages should be in English, no matter if it's good or bad. The second language of Shower is Russian. Offical Shower themes are always compatible with Cyrillic and Russian typography. All documentation to Shower is always localized to Russian.

---
If you have any questions, please ask [@shower_me](http://twitter.com/shower_me/) or file an [issue](https://github.com/shower/shower/issues?state=open).
